' 

' This function tests if a word is an assemble mnemonic and returns a non
' zero LONG number if it is. Zero is returned if the word is not a mnemonic.

' 

FUNCTION ismnemonic(a$) as LONG

  #REGISTER NONE

  LOCAL var as DWORD

  var = StrPtr(a$)
  ! mov eax, var

  ! cmp BYTE PTR [eax+0], "a"
  ! jne l_0
    ! cmp BYTE PTR [eax+1], "a"
    ! jne l_1
      ! cmp BYTE PTR [eax+2], "a"
      ! jne l_2
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 1
          Exit FUNCTION
      l_2:
      ! cmp BYTE PTR [eax+2], "d"
      ! jne l_3
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 2
          Exit FUNCTION
      l_3:
      ! cmp BYTE PTR [eax+2], "m"
      ! jne l_4
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 3
          Exit FUNCTION
      l_4:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 4
          Exit FUNCTION
    l_1:
    ! cmp BYTE PTR [eax+1], "d"
    ! jne l_5
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_6
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 5
          Exit FUNCTION
      l_6:
      ! cmp BYTE PTR [eax+2], "d"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 6
          Exit FUNCTION
    l_5:
    ! cmp BYTE PTR [eax+1], "n"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "d"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 7
          Exit FUNCTION
  l_0:
  ! cmp BYTE PTR [eax+0], "b"
  ! jne l_7
    ! cmp BYTE PTR [eax+1], "o"
    ! jne l_8
      ! cmp BYTE PTR [eax+2], "u"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "n"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "d"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 8
              Exit FUNCTION
    l_8:
    ! cmp BYTE PTR [eax+1], "s"
    ! jne l_9
      ! cmp BYTE PTR [eax+2], "f"
      ! jne l_10
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 9
          Exit FUNCTION
      l_10:
      ! cmp BYTE PTR [eax+2], "r"
      ! jne l_11
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 10
          Exit FUNCTION
      l_11:
      ! cmp BYTE PTR [eax+2], "w"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "a"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "p"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 11
              Exit FUNCTION
    l_9:
    ! cmp BYTE PTR [eax+1], "t"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], 0
      ! jne l_12
        FUNCTION = 12
        Exit FUNCTION
      l_12:
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_13
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 13
          Exit FUNCTION
      l_13:
      ! cmp BYTE PTR [eax+2], "r"
      ! jne l_14
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 14
          Exit FUNCTION
      l_14:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 15
          Exit FUNCTION
  l_7:
  ! cmp BYTE PTR [eax+0], "c"
  ! jne l_15
    ! cmp BYTE PTR [eax+1], "a"
    ! jne l_16
      ! cmp BYTE PTR [eax+2], "l"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "l"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 16
            Exit FUNCTION
    l_16:
    ! cmp BYTE PTR [eax+1], "b"
    ! jne l_17
      ! cmp BYTE PTR [eax+2], "w"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 17
          Exit FUNCTION
    l_17:
    ! cmp BYTE PTR [eax+1], "c"
    ! jne l_18
      ! cmp BYTE PTR [eax+2], "w"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 18
            Exit FUNCTION
    l_18:
    ! cmp BYTE PTR [eax+1], "d"
    ! jne l_19
      ! cmp BYTE PTR [eax+2], "q"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 19
          Exit FUNCTION
    l_19:
    ! cmp BYTE PTR [eax+1], "l"
    ! jne l_20
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_21
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 20
          Exit FUNCTION
      l_21:
      ! cmp BYTE PTR [eax+2], "d"
      ! jne l_22
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 21
          Exit FUNCTION
      l_22:
      ! cmp BYTE PTR [eax+2], "i"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 22
          Exit FUNCTION
    l_20:
    ! cmp BYTE PTR [eax+1], "m"
    ! jne l_23
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_24
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 23
          Exit FUNCTION
      l_24:
      ! cmp BYTE PTR [eax+2], "p"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_25
          FUNCTION = 24
          Exit FUNCTION
        l_25:
        ! cmp BYTE PTR [eax+3], "s"
        ! jne l_26
          ! cmp BYTE PTR [eax+4], "b"
          ! jne l_27
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 25
              Exit FUNCTION
          l_27:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_28
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 26
              Exit FUNCTION
          l_28:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 27
              Exit FUNCTION
        l_26:
        ! cmp BYTE PTR [eax+3], "x"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "c"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "h"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "g"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 28
                  Exit FUNCTION
    l_23:
    ! cmp BYTE PTR [eax+1], "p"
    ! jne l_29
      ! cmp BYTE PTR [eax+2], "u"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "i"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "d"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 29
              Exit FUNCTION
    l_29:
    ! cmp BYTE PTR [eax+1], "w"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "d"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "e"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 30
            Exit FUNCTION
  l_15:
  ! cmp BYTE PTR [eax+0], "d"
  ! jne l_30
    ! cmp BYTE PTR [eax+1], "a"
    ! jne l_31
      ! cmp BYTE PTR [eax+2], "a"
      ! jne l_32
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 31
          Exit FUNCTION
      l_32:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 32
          Exit FUNCTION
    l_31:
    ! cmp BYTE PTR [eax+1], "e"
    ! jne l_33
      ! cmp BYTE PTR [eax+2], "c"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 33
          Exit FUNCTION
    l_33:
    ! cmp BYTE PTR [eax+1], "i"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "v"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 34
          Exit FUNCTION
  l_30:
  ! cmp BYTE PTR [eax+0], "e"
  ! jne l_34
    ! cmp BYTE PTR [eax+1], "m"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "m"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "s"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 35
            Exit FUNCTION
  l_34:
  ! cmp BYTE PTR [eax+0], "f"
  ! jne l_35
    ! cmp BYTE PTR [eax+1], "2"
    ! jne l_36
      ! cmp BYTE PTR [eax+2], "x"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "m"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "1"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 36
              Exit FUNCTION
    l_36:
    ! cmp BYTE PTR [eax+1], "a"
    ! jne l_37
      ! cmp BYTE PTR [eax+2], "b"
      ! jne l_38
        ! cmp BYTE PTR [eax+3], "s"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 37
            Exit FUNCTION
      l_38:
      ! cmp BYTE PTR [eax+2], "d"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_39
            FUNCTION = 38
            Exit FUNCTION
          l_39:
          ! cmp BYTE PTR [eax+4], "p"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 39
              Exit FUNCTION
    l_37:
    ! cmp BYTE PTR [eax+1], "c"
    ! jne l_40
      ! cmp BYTE PTR [eax+2], "h"
      ! jne l_41
        ! cmp BYTE PTR [eax+3], "s"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 40
            Exit FUNCTION
      l_41:
      ! cmp BYTE PTR [eax+2], "l"
      ! jne l_42
        ! cmp BYTE PTR [eax+3], "e"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "x"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 41
              Exit FUNCTION
      l_42:
      ! cmp BYTE PTR [eax+2], "o"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "m"
        ! jne l_43
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_44
            FUNCTION = 42
            Exit FUNCTION
          l_44:
          ! cmp BYTE PTR [eax+4], "p"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_45
              FUNCTION = 43
              Exit FUNCTION
            l_45:
            ! cmp BYTE PTR [eax+5], "p"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 44
                Exit FUNCTION
        l_43:
        ! cmp BYTE PTR [eax+3], "s"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 45
            Exit FUNCTION
    l_40:
    ! cmp BYTE PTR [eax+1], "d"
    ! jne l_46
      ! cmp BYTE PTR [eax+2], "e"
      ! jne l_47
        ! cmp BYTE PTR [eax+3], "c"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "s"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "t"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "p"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 46
                  Exit FUNCTION
      l_47:
      ! cmp BYTE PTR [eax+2], "i"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "v"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_48
            FUNCTION = 47
            Exit FUNCTION
          l_48:
          ! cmp BYTE PTR [eax+4], "p"
          ! jne l_49
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 48
              Exit FUNCTION
          l_49:
          ! cmp BYTE PTR [eax+4], "r"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_50
              FUNCTION = 49
              Exit FUNCTION
            l_50:
            ! cmp BYTE PTR [eax+5], "p"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 50
                Exit FUNCTION
    l_46:
    ! cmp BYTE PTR [eax+1], "f"
    ! jne l_51
      ! cmp BYTE PTR [eax+2], "r"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "e"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "e"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 51
              Exit FUNCTION
    l_51:
    ! cmp BYTE PTR [eax+1], "i"
    ! jne l_52
      ! cmp BYTE PTR [eax+2], "a"
      ! jne l_53
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "d"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 52
              Exit FUNCTION
      l_53:
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_54
        ! cmp BYTE PTR [eax+3], "o"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "m"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_55
              FUNCTION = 53
              Exit FUNCTION
            l_55:
            ! cmp BYTE PTR [eax+5], "p"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 54
                Exit FUNCTION
      l_54:
      ! cmp BYTE PTR [eax+2], "d"
      ! jne l_56
        ! cmp BYTE PTR [eax+3], "i"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "v"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_57
              FUNCTION = 55
              Exit FUNCTION
            l_57:
            ! cmp BYTE PTR [eax+5], "r"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 56
                Exit FUNCTION
      l_56:
      ! cmp BYTE PTR [eax+2], "l"
      ! jne l_58
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 57
            Exit FUNCTION
      l_58:
      ! cmp BYTE PTR [eax+2], "m"
      ! jne l_59
        ! cmp BYTE PTR [eax+3], "u"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "l"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 58
              Exit FUNCTION
      l_59:
      ! cmp BYTE PTR [eax+2], "n"
      ! jne l_60
        ! cmp BYTE PTR [eax+3], "c"
        ! jne l_61
          ! cmp BYTE PTR [eax+4], "s"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "t"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "p"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 59
                  Exit FUNCTION
        l_61:
        ! cmp BYTE PTR [eax+3], "i"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "t"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 60
              Exit FUNCTION
      l_60:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "t"
        ! jne l_62
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_63
            FUNCTION = 61
            Exit FUNCTION
          l_63:
          ! cmp BYTE PTR [eax+4], "p"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 62
              Exit FUNCTION
        l_62:
        ! cmp BYTE PTR [eax+3], "u"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "b"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_64
              FUNCTION = 63
              Exit FUNCTION
            l_64:
            ! cmp BYTE PTR [eax+5], "r"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 64
                Exit FUNCTION
    l_52:
    ! cmp BYTE PTR [eax+1], "l"
    ! jne l_65
      ! cmp BYTE PTR [eax+2], "d"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_66
          FUNCTION = 65
          Exit FUNCTION
        l_66:
        ! cmp BYTE PTR [eax+3], "1"
        ! jne l_67
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 66
            Exit FUNCTION
        l_67:
        ! cmp BYTE PTR [eax+3], "c"
        ! jne l_68
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 67
              Exit FUNCTION
        l_68:
        ! cmp BYTE PTR [eax+3], "e"
        ! jne l_69
          ! cmp BYTE PTR [eax+4], "n"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "v"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 68
                Exit FUNCTION
        l_69:
        ! cmp BYTE PTR [eax+3], "l"
        ! jne l_70
          ! cmp BYTE PTR [eax+4], "2"
          ! jne l_71
            ! cmp BYTE PTR [eax+5], "e"
            ! jne l_72
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 69
                Exit FUNCTION
            l_72:
            ! cmp BYTE PTR [eax+5], "t"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 70
                Exit FUNCTION
          l_71:
          ! cmp BYTE PTR [eax+4], "g"
          ! jne l_73
            ! cmp BYTE PTR [eax+5], "2"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 71
                Exit FUNCTION
          l_73:
          ! cmp BYTE PTR [eax+4], "n"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "2"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 72
                Exit FUNCTION
        l_70:
        ! cmp BYTE PTR [eax+3], "p"
        ! jne l_74
          ! cmp BYTE PTR [eax+4], "i"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 73
              Exit FUNCTION
        l_74:
        ! cmp BYTE PTR [eax+3], "z"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 74
            Exit FUNCTION
    l_65:
    ! cmp BYTE PTR [eax+1], "m"
    ! jne l_75
      ! cmp BYTE PTR [eax+2], "u"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "l"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_76
            FUNCTION = 75
            Exit FUNCTION
          l_76:
          ! cmp BYTE PTR [eax+4], "p"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 76
              Exit FUNCTION
    l_75:
    ! cmp BYTE PTR [eax+1], "n"
    ! jne l_77
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_78
        ! cmp BYTE PTR [eax+3], "l"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "e"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "x"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 77
                Exit FUNCTION
      l_78:
      ! cmp BYTE PTR [eax+2], "i"
      ! jne l_79
        ! cmp BYTE PTR [eax+3], "n"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "i"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "t"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 78
                Exit FUNCTION
      l_79:
      ! cmp BYTE PTR [eax+2], "l"
      ! jne l_80
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "c"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "w"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 79
                Exit FUNCTION
      l_80:
      ! cmp BYTE PTR [eax+2], "o"
      ! jne l_81
        ! cmp BYTE PTR [eax+3], "p"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 80
            Exit FUNCTION
      l_81:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "a"
        ! jne l_82
          ! cmp BYTE PTR [eax+4], "v"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "e"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 81
                Exit FUNCTION
        l_82:
        ! cmp BYTE PTR [eax+3], "t"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "c"
          ! jne l_83
            ! cmp BYTE PTR [eax+5], "w"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 82
                Exit FUNCTION
          l_83:
          ! cmp BYTE PTR [eax+4], "e"
          ! jne l_84
            ! cmp BYTE PTR [eax+5], "n"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "v"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 83
                  Exit FUNCTION
          l_84:
          ! cmp BYTE PTR [eax+4], "s"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "w"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 84
                Exit FUNCTION
    l_77:
    ! cmp BYTE PTR [eax+1], "p"
    ! jne l_85
      ! cmp BYTE PTR [eax+2], "a"
      ! jne l_86
        ! cmp BYTE PTR [eax+3], "t"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "a"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "n"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 85
                Exit FUNCTION
      l_86:
      ! cmp BYTE PTR [eax+2], "r"
      ! jne l_87
        ! cmp BYTE PTR [eax+3], "e"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "m"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_88
              FUNCTION = 86
              Exit FUNCTION
            l_88:
            ! cmp BYTE PTR [eax+5], "1"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 87
                Exit FUNCTION
      l_87:
      ! cmp BYTE PTR [eax+2], "t"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "a"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "n"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 88
              Exit FUNCTION
    l_85:
    ! cmp BYTE PTR [eax+1], "r"
    ! jne l_89
      ! cmp BYTE PTR [eax+2], "n"
      ! jne l_90
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "i"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "n"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "t"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 89
                  Exit FUNCTION
      l_90:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "t"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "o"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "r"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 90
                Exit FUNCTION
    l_89:
    ! cmp BYTE PTR [eax+1], "s"
    ! jne l_91
      ! cmp BYTE PTR [eax+2], "a"
      ! jne l_92
        ! cmp BYTE PTR [eax+3], "v"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "e"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 91
              Exit FUNCTION
      l_92:
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_93
        ! cmp BYTE PTR [eax+3], "a"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "l"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "e"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 92
                Exit FUNCTION
      l_93:
      ! cmp BYTE PTR [eax+2], "i"
      ! jne l_94
        ! cmp BYTE PTR [eax+3], "n"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_95
            FUNCTION = 93
            Exit FUNCTION
          l_95:
          ! cmp BYTE PTR [eax+4], "c"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "o"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "s"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 94
                  Exit FUNCTION
      l_94:
      ! cmp BYTE PTR [eax+2], "q"
      ! jne l_96
        ! cmp BYTE PTR [eax+3], "r"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "t"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 95
              Exit FUNCTION
      l_96:
      ! cmp BYTE PTR [eax+2], "t"
      ! jne l_97
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_98
          FUNCTION = 96
          Exit FUNCTION
        l_98:
        ! cmp BYTE PTR [eax+3], "c"
        ! jne l_99
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 97
              Exit FUNCTION
        l_99:
        ! cmp BYTE PTR [eax+3], "e"
        ! jne l_100
          ! cmp BYTE PTR [eax+4], "n"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "v"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 98
                Exit FUNCTION
        l_100:
        ! cmp BYTE PTR [eax+3], "p"
        ! jne l_101
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 99
            Exit FUNCTION
        l_101:
        ! cmp BYTE PTR [eax+3], "s"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 100
              Exit FUNCTION
      l_97:
      ! cmp BYTE PTR [eax+2], "u"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "b"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_102
            FUNCTION = 101
            Exit FUNCTION
          l_102:
          ! cmp BYTE PTR [eax+4], "p"
          ! jne l_103
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 102
              Exit FUNCTION
          l_103:
          ! cmp BYTE PTR [eax+4], "r"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_104
              FUNCTION = 103
              Exit FUNCTION
            l_104:
            ! cmp BYTE PTR [eax+5], "p"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 104
                Exit FUNCTION
    l_91:
    ! cmp BYTE PTR [eax+1], "t"
    ! jne l_105
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "t"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 105
            Exit FUNCTION
    l_105:
    ! cmp BYTE PTR [eax+1], "u"
    ! jne l_106
      ! cmp BYTE PTR [eax+2], "c"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "o"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "m"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_107
              FUNCTION = 106
              Exit FUNCTION
            l_107:
            ! cmp BYTE PTR [eax+5], "p"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne l_108
                FUNCTION = 107
                Exit FUNCTION
              l_108:
              ! cmp BYTE PTR [eax+6], "p"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 108
                  Exit FUNCTION
    l_106:
    ! cmp BYTE PTR [eax+1], "w"
    ! jne l_109
      ! cmp BYTE PTR [eax+2], "a"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "i"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "t"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 109
              Exit FUNCTION
    l_109:
    ! cmp BYTE PTR [eax+1], "x"
    ! jne l_110
      ! cmp BYTE PTR [eax+2], "a"
      ! jne l_111
        ! cmp BYTE PTR [eax+3], "m"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 110
            Exit FUNCTION
      l_111:
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_112
        ! cmp BYTE PTR [eax+3], "h"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 111
            Exit FUNCTION
      l_112:
      ! cmp BYTE PTR [eax+2], "t"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "r"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "a"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "c"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "t"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 112
                  Exit FUNCTION
    l_110:
    ! cmp BYTE PTR [eax+1], "y"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "l"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "2"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "x"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_113
              FUNCTION = 113
              Exit FUNCTION
            l_113:
            ! cmp BYTE PTR [eax+5], "p"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "1"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 114
                  Exit FUNCTION
  l_35:
  ! cmp BYTE PTR [eax+0], "h"
  ! jne l_114
    ! cmp BYTE PTR [eax+1], "l"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "t"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 115
          Exit FUNCTION
  l_114:
  ! cmp BYTE PTR [eax+0], "i"
  ! jne l_115
    ! cmp BYTE PTR [eax+1], "d"
    ! jne l_116
      ! cmp BYTE PTR [eax+2], "i"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "v"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 116
            Exit FUNCTION
    l_116:
    ! cmp BYTE PTR [eax+1], "m"
    ! jne l_117
      ! cmp BYTE PTR [eax+2], "u"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "l"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 117
            Exit FUNCTION
    l_117:
    ! cmp BYTE PTR [eax+1], "n"
    ! jne l_118
      ! cmp BYTE PTR [eax+2], 0
      ! jne l_119
        FUNCTION = 118
        Exit FUNCTION
      l_119:
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_120
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 119
          Exit FUNCTION
      l_120:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne l_121
        ! cmp BYTE PTR [eax+3], "b"
        ! jne l_122
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 120
            Exit FUNCTION
        l_122:
        ! cmp BYTE PTR [eax+3], "d"
        ! jne l_123
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 121
            Exit FUNCTION
        l_123:
        ! cmp BYTE PTR [eax+3], "w"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 122
            Exit FUNCTION
      l_121:
      ! cmp BYTE PTR [eax+2], "t"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_124
          FUNCTION = 123
          Exit FUNCTION
        l_124:
        ! cmp BYTE PTR [eax+3], "o"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 124
            Exit FUNCTION
    l_118:
    ! cmp BYTE PTR [eax+1], "r"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "e"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "t"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_125
            FUNCTION = 125
            Exit FUNCTION
          l_125:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 126
              Exit FUNCTION
  l_115:
  ! cmp BYTE PTR [eax+0], "j"
  ! jne l_126
    ! cmp BYTE PTR [eax+1], "a"
    ! jne l_127
      ! cmp BYTE PTR [eax+2], 0
      ! jne l_128
        FUNCTION = 127
        Exit FUNCTION
      l_128:
      ! cmp BYTE PTR [eax+2], "e"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 128
          Exit FUNCTION
    l_127:
    ! cmp BYTE PTR [eax+1], "b"
    ! jne l_129
      ! cmp BYTE PTR [eax+2], 0
      ! jne l_130
        FUNCTION = 129
        Exit FUNCTION
      l_130:
      ! cmp BYTE PTR [eax+2], "e"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 130
          Exit FUNCTION
    l_129:
    ! cmp BYTE PTR [eax+1], "c"
    ! jne l_131
      ! cmp BYTE PTR [eax+2], 0
      ! jne notfound
        FUNCTION = 131
        Exit FUNCTION
    l_131:
    ! cmp BYTE PTR [eax+1], "e"
    ! jne l_132
      ! cmp BYTE PTR [eax+2], 0
      ! jne l_133
        FUNCTION = 132
        Exit FUNCTION
      l_133:
      ! cmp BYTE PTR [eax+2], "c"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "x"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "z"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 133
              Exit FUNCTION
    l_132:
    ! cmp BYTE PTR [eax+1], "g"
    ! jne l_134
      ! cmp BYTE PTR [eax+2], 0
      ! jne l_135
        FUNCTION = 134
        Exit FUNCTION
      l_135:
      ! cmp BYTE PTR [eax+2], "e"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 135
          Exit FUNCTION
    l_134:
    ! cmp BYTE PTR [eax+1], "l"
    ! jne l_136
      ! cmp BYTE PTR [eax+2], 0
      ! jne l_137
        FUNCTION = 136
        Exit FUNCTION
      l_137:
      ! cmp BYTE PTR [eax+2], "e"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 137
          Exit FUNCTION
    l_136:
    ! cmp BYTE PTR [eax+1], "m"
    ! jne l_138
      ! cmp BYTE PTR [eax+2], "p"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 138
          Exit FUNCTION
    l_138:
    ! cmp BYTE PTR [eax+1], "n"
    ! jne l_139
      ! cmp BYTE PTR [eax+2], "a"
      ! jne l_140
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_141
          FUNCTION = 139
          Exit FUNCTION
        l_141:
        ! cmp BYTE PTR [eax+3], "e"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 140
            Exit FUNCTION
      l_140:
      ! cmp BYTE PTR [eax+2], "b"
      ! jne l_142
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_143
          FUNCTION = 141
          Exit FUNCTION
        l_143:
        ! cmp BYTE PTR [eax+3], "e"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 142
            Exit FUNCTION
      l_142:
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_144
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 143
          Exit FUNCTION
      l_144:
      ! cmp BYTE PTR [eax+2], "e"
      ! jne l_145
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 144
          Exit FUNCTION
      l_145:
      ! cmp BYTE PTR [eax+2], "g"
      ! jne l_146
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_147
          FUNCTION = 145
          Exit FUNCTION
        l_147:
        ! cmp BYTE PTR [eax+3], "e"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 146
            Exit FUNCTION
      l_146:
      ! cmp BYTE PTR [eax+2], "l"
      ! jne l_148
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_149
          FUNCTION = 147
          Exit FUNCTION
        l_149:
        ! cmp BYTE PTR [eax+3], "e"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 148
            Exit FUNCTION
      l_148:
      ! cmp BYTE PTR [eax+2], "o"
      ! jne l_150
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 149
          Exit FUNCTION
      l_150:
      ! cmp BYTE PTR [eax+2], "p"
      ! jne l_151
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 150
          Exit FUNCTION
      l_151:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne l_152
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 151
          Exit FUNCTION
      l_152:
      ! cmp BYTE PTR [eax+2], "z"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 152
          Exit FUNCTION
    l_139:
    ! cmp BYTE PTR [eax+1], "o"
    ! jne l_153
      ! cmp BYTE PTR [eax+2], 0
      ! jne notfound
        FUNCTION = 153
        Exit FUNCTION
    l_153:
    ! cmp BYTE PTR [eax+1], "p"
    ! jne l_154
      ! cmp BYTE PTR [eax+2], 0
      ! jne l_155
        FUNCTION = 154
        Exit FUNCTION
      l_155:
      ! cmp BYTE PTR [eax+2], "e"
      ! jne l_156
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 155
          Exit FUNCTION
      l_156:
      ! cmp BYTE PTR [eax+2], "o"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 156
          Exit FUNCTION
    l_154:
    ! cmp BYTE PTR [eax+1], "s"
    ! jne l_157
      ! cmp BYTE PTR [eax+2], 0
      ! jne notfound
        FUNCTION = 157
        Exit FUNCTION
    l_157:
    ! cmp BYTE PTR [eax+1], "z"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], 0
      ! jne notfound
        FUNCTION = 158
        Exit FUNCTION
  l_126:
  ! cmp BYTE PTR [eax+0], "l"
  ! jne l_158
    ! cmp BYTE PTR [eax+1], "a"
    ! jne l_159
      ! cmp BYTE PTR [eax+2], "h"
      ! jne l_160
        ! cmp BYTE PTR [eax+3], "f"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 159
            Exit FUNCTION
      l_160:
      ! cmp BYTE PTR [eax+2], "r"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 160
          Exit FUNCTION
    l_159:
    ! cmp BYTE PTR [eax+1], "d"
    ! jne l_161
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 161
          Exit FUNCTION
    l_161:
    ! cmp BYTE PTR [eax+1], "e"
    ! jne l_162
      ! cmp BYTE PTR [eax+2], "a"
      ! jne l_163
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_164
          FUNCTION = 162
          Exit FUNCTION
        l_164:
        ! cmp BYTE PTR [eax+3], "v"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "e"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 163
              Exit FUNCTION
      l_163:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 164
          Exit FUNCTION
    l_162:
    ! cmp BYTE PTR [eax+1], "f"
    ! jne l_165
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 165
          Exit FUNCTION
    l_165:
    ! cmp BYTE PTR [eax+1], "g"
    ! jne l_166
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 166
          Exit FUNCTION
    l_166:
    ! cmp BYTE PTR [eax+1], "o"
    ! jne l_167
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_168
        ! cmp BYTE PTR [eax+3], "k"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 167
            Exit FUNCTION
      l_168:
      ! cmp BYTE PTR [eax+2], "d"
      ! jne l_169
        ! cmp BYTE PTR [eax+3], "s"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "b"
          ! jne l_170
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 168
              Exit FUNCTION
          l_170:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_171
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 169
              Exit FUNCTION
          l_171:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 170
              Exit FUNCTION
      l_169:
      ! cmp BYTE PTR [eax+2], "o"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "p"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_172
            FUNCTION = 171
            Exit FUNCTION
          l_172:
          ! cmp BYTE PTR [eax+4], "e"
          ! jne l_173
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 172
              Exit FUNCTION
          l_173:
          ! cmp BYTE PTR [eax+4], "n"
          ! jne l_174
            ! cmp BYTE PTR [eax+5], "e"
            ! jne l_175
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 173
                Exit FUNCTION
            l_175:
            ! cmp BYTE PTR [eax+5], "z"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 174
                Exit FUNCTION
          l_174:
          ! cmp BYTE PTR [eax+4], "z"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 175
              Exit FUNCTION
    l_167:
    ! cmp BYTE PTR [eax+1], "s"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "l"
      ! jne l_176
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 176
          Exit FUNCTION
      l_176:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 177
          Exit FUNCTION
  l_158:
  ! cmp BYTE PTR [eax+0], "m"
  ! jne l_177
    ! cmp BYTE PTR [eax+1], "o"
    ! jne l_178
      ! cmp BYTE PTR [eax+2], "v"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_179
          FUNCTION = 178
          Exit FUNCTION
        l_179:
        ! cmp BYTE PTR [eax+3], "d"
        ! jne l_180
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 179
            Exit FUNCTION
        l_180:
        ! cmp BYTE PTR [eax+3], "q"
        ! jne l_181
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 180
            Exit FUNCTION
        l_181:
        ! cmp BYTE PTR [eax+3], "s"
        ! jne l_182
          ! cmp BYTE PTR [eax+4], "b"
          ! jne l_183
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 181
              Exit FUNCTION
          l_183:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_184
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 182
              Exit FUNCTION
          l_184:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne l_185
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 183
              Exit FUNCTION
          l_185:
          ! cmp BYTE PTR [eax+4], "x"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 184
              Exit FUNCTION
        l_182:
        ! cmp BYTE PTR [eax+3], "z"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "x"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 185
              Exit FUNCTION
    l_178:
    ! cmp BYTE PTR [eax+1], "u"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "l"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 186
          Exit FUNCTION
  l_177:
  ! cmp BYTE PTR [eax+0], "n"
  ! jne l_186
    ! cmp BYTE PTR [eax+1], "e"
    ! jne l_187
      ! cmp BYTE PTR [eax+2], "g"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 187
          Exit FUNCTION
    l_187:
    ! cmp BYTE PTR [eax+1], "o"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "p"
      ! jne l_188
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 188
          Exit FUNCTION
      l_188:
      ! cmp BYTE PTR [eax+2], "t"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 189
          Exit FUNCTION
  l_186:
  ! cmp BYTE PTR [eax+0], "o"
  ! jne l_189
    ! cmp BYTE PTR [eax+1], "r"
    ! jne l_190
      ! cmp BYTE PTR [eax+2], 0
      ! jne notfound
        FUNCTION = 190
        Exit FUNCTION
    l_190:
    ! cmp BYTE PTR [eax+1], "u"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "t"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_191
          FUNCTION = 191
          Exit FUNCTION
        l_191:
        ! cmp BYTE PTR [eax+3], "s"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "b"
          ! jne l_192
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 192
              Exit FUNCTION
          l_192:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_193
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 193
              Exit FUNCTION
          l_193:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 194
              Exit FUNCTION
  l_189:
  ! cmp BYTE PTR [eax+0], "p"
  ! jne l_194
    ! cmp BYTE PTR [eax+1], "a"
    ! jne l_195
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_196
        ! cmp BYTE PTR [eax+3], "k"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "s"
          ! jne l_197
            ! cmp BYTE PTR [eax+5], "s"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "d"
              ! jne l_198
                ! cmp BYTE PTR [eax+7], "w"
                ! jne notfound
                  ! cmp BYTE PTR [eax+8], 0
                  ! jne notfound
                    FUNCTION = 195
                    Exit FUNCTION
              l_198:
              ! cmp BYTE PTR [eax+6], "w"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], "b"
                ! jne notfound
                  ! cmp BYTE PTR [eax+8], 0
                  ! jne notfound
                    FUNCTION = 196
                    Exit FUNCTION
          l_197:
          ! cmp BYTE PTR [eax+4], "u"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "s"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "w"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], "b"
                ! jne notfound
                  ! cmp BYTE PTR [eax+8], 0
                  ! jne notfound
                    FUNCTION = 197
                    Exit FUNCTION
      l_196:
      ! cmp BYTE PTR [eax+2], "d"
      ! jne l_199
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "b"
          ! jne l_200
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 198
              Exit FUNCTION
          l_200:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_201
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 199
              Exit FUNCTION
          l_201:
          ! cmp BYTE PTR [eax+4], "s"
          ! jne l_202
            ! cmp BYTE PTR [eax+5], "b"
            ! jne l_203
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 200
                Exit FUNCTION
            l_203:
            ! cmp BYTE PTR [eax+5], "w"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 201
                Exit FUNCTION
          l_202:
          ! cmp BYTE PTR [eax+4], "u"
          ! jne l_204
            ! cmp BYTE PTR [eax+5], "s"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "b"
              ! jne l_205
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 202
                  Exit FUNCTION
              l_205:
              ! cmp BYTE PTR [eax+6], "w"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 203
                  Exit FUNCTION
          l_204:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 204
              Exit FUNCTION
      l_199:
      ! cmp BYTE PTR [eax+2], "n"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_206
            FUNCTION = 205
            Exit FUNCTION
          l_206:
          ! cmp BYTE PTR [eax+4], "n"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 206
              Exit FUNCTION
    l_195:
    ! cmp BYTE PTR [eax+1], "c"
    ! jne l_207
      ! cmp BYTE PTR [eax+2], "m"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "p"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "e"
          ! jne l_208
            ! cmp BYTE PTR [eax+5], "q"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "b"
              ! jne l_209
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 207
                  Exit FUNCTION
              l_209:
              ! cmp BYTE PTR [eax+6], "d"
              ! jne l_210
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 208
                  Exit FUNCTION
              l_210:
              ! cmp BYTE PTR [eax+6], "w"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 209
                  Exit FUNCTION
          l_208:
          ! cmp BYTE PTR [eax+4], "g"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "t"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "b"
              ! jne l_211
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 210
                  Exit FUNCTION
              l_211:
              ! cmp BYTE PTR [eax+6], "d"
              ! jne l_212
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 211
                  Exit FUNCTION
              l_212:
              ! cmp BYTE PTR [eax+6], "w"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 212
                  Exit FUNCTION
    l_207:
    ! cmp BYTE PTR [eax+1], "m"
    ! jne l_213
      ! cmp BYTE PTR [eax+2], "a"
      ! jne l_214
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "d"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "w"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "d"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 213
                  Exit FUNCTION
      l_214:
      ! cmp BYTE PTR [eax+2], "u"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "l"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "h"
          ! jne l_215
            ! cmp BYTE PTR [eax+5], "w"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 214
                Exit FUNCTION
          l_215:
          ! cmp BYTE PTR [eax+4], "l"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "w"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 215
                Exit FUNCTION
    l_213:
    ! cmp BYTE PTR [eax+1], "o"
    ! jne l_216
      ! cmp BYTE PTR [eax+2], "p"
      ! jne l_217
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_218
          FUNCTION = 216
          Exit FUNCTION
        l_218:
        ! cmp BYTE PTR [eax+3], "a"
        ! jne l_219
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_220
            FUNCTION = 217
            Exit FUNCTION
          l_220:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 218
              Exit FUNCTION
        l_219:
        ! cmp BYTE PTR [eax+3], "f"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_221
            FUNCTION = 219
            Exit FUNCTION
          l_221:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 220
              Exit FUNCTION
      l_217:
      ! cmp BYTE PTR [eax+2], "r"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 221
          Exit FUNCTION
    l_216:
    ! cmp BYTE PTR [eax+1], "s"
    ! jne l_222
      ! cmp BYTE PTR [eax+2], "l"
      ! jne l_223
        ! cmp BYTE PTR [eax+3], "l"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_224
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 222
              Exit FUNCTION
          l_224:
          ! cmp BYTE PTR [eax+4], "q"
          ! jne l_225
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 223
              Exit FUNCTION
          l_225:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 224
              Exit FUNCTION
      l_223:
      ! cmp BYTE PTR [eax+2], "r"
      ! jne l_226
        ! cmp BYTE PTR [eax+3], "a"
        ! jne l_227
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_228
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 225
              Exit FUNCTION
          l_228:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 226
              Exit FUNCTION
        l_227:
        ! cmp BYTE PTR [eax+3], "l"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_229
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 227
              Exit FUNCTION
          l_229:
          ! cmp BYTE PTR [eax+4], "q"
          ! jne l_230
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 228
              Exit FUNCTION
          l_230:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 229
              Exit FUNCTION
      l_226:
      ! cmp BYTE PTR [eax+2], "u"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "b"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "b"
          ! jne l_231
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 230
              Exit FUNCTION
          l_231:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_232
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 231
              Exit FUNCTION
          l_232:
          ! cmp BYTE PTR [eax+4], "s"
          ! jne l_233
            ! cmp BYTE PTR [eax+5], "b"
            ! jne l_234
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 232
                Exit FUNCTION
            l_234:
            ! cmp BYTE PTR [eax+5], "w"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 233
                Exit FUNCTION
          l_233:
          ! cmp BYTE PTR [eax+4], "u"
          ! jne l_235
            ! cmp BYTE PTR [eax+5], "s"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "b"
              ! jne l_236
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 234
                  Exit FUNCTION
              l_236:
              ! cmp BYTE PTR [eax+6], "w"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], 0
                ! jne notfound
                  FUNCTION = 235
                  Exit FUNCTION
          l_235:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 236
              Exit FUNCTION
    l_222:
    ! cmp BYTE PTR [eax+1], "u"
    ! jne l_237
      ! cmp BYTE PTR [eax+2], "n"
      ! jne l_238
        ! cmp BYTE PTR [eax+3], "p"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "c"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], "k"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], "h"
              ! jne l_239
                ! cmp BYTE PTR [eax+7], "b"
                ! jne l_240
                  ! cmp BYTE PTR [eax+8], "w"
                  ! jne notfound
                    ! cmp BYTE PTR [eax+9], 0
                    ! jne notfound
                      FUNCTION = 237
                      Exit FUNCTION
                l_240:
                ! cmp BYTE PTR [eax+7], "d"
                ! jne l_241
                  ! cmp BYTE PTR [eax+8], "q"
                  ! jne notfound
                    ! cmp BYTE PTR [eax+9], 0
                    ! jne notfound
                      FUNCTION = 238
                      Exit FUNCTION
                l_241:
                ! cmp BYTE PTR [eax+7], "w"
                ! jne notfound
                  ! cmp BYTE PTR [eax+8], "d"
                  ! jne notfound
                    ! cmp BYTE PTR [eax+9], 0
                    ! jne notfound
                      FUNCTION = 239
                      Exit FUNCTION
              l_239:
              ! cmp BYTE PTR [eax+6], "l"
              ! jne notfound
                ! cmp BYTE PTR [eax+7], "b"
                ! jne l_242
                  ! cmp BYTE PTR [eax+8], "w"
                  ! jne notfound
                    ! cmp BYTE PTR [eax+9], 0
                    ! jne notfound
                      FUNCTION = 240
                      Exit FUNCTION
                l_242:
                ! cmp BYTE PTR [eax+7], "d"
                ! jne l_243
                  ! cmp BYTE PTR [eax+8], "q"
                  ! jne notfound
                    ! cmp BYTE PTR [eax+9], 0
                    ! jne notfound
                      FUNCTION = 241
                      Exit FUNCTION
                l_243:
                ! cmp BYTE PTR [eax+7], "w"
                ! jne notfound
                  ! cmp BYTE PTR [eax+8], "d"
                  ! jne notfound
                    ! cmp BYTE PTR [eax+9], 0
                    ! jne notfound
                      FUNCTION = 242
                      Exit FUNCTION
      l_238:
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "h"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_244
            FUNCTION = 243
            Exit FUNCTION
          l_244:
          ! cmp BYTE PTR [eax+4], "a"
          ! jne l_245
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_246
              FUNCTION = 244
              Exit FUNCTION
            l_246:
            ! cmp BYTE PTR [eax+5], "d"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 245
                Exit FUNCTION
          l_245:
          ! cmp BYTE PTR [eax+4], "f"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_247
              FUNCTION = 246
              Exit FUNCTION
            l_247:
            ! cmp BYTE PTR [eax+5], "d"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 247
                Exit FUNCTION
    l_237:
    ! cmp BYTE PTR [eax+1], "x"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "o"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "r"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 248
            Exit FUNCTION
  l_194:
  ! cmp BYTE PTR [eax+0], "r"
  ! jne l_248
    ! cmp BYTE PTR [eax+1], "c"
    ! jne l_249
      ! cmp BYTE PTR [eax+2], "l"
      ! jne l_250
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 249
          Exit FUNCTION
      l_250:
      ! cmp BYTE PTR [eax+2], "r"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 250
          Exit FUNCTION
    l_249:
    ! cmp BYTE PTR [eax+1], "e"
    ! jne l_251
      ! cmp BYTE PTR [eax+2], "p"
      ! jne l_252
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_253
          FUNCTION = 251
          Exit FUNCTION
        l_253:
        ! cmp BYTE PTR [eax+3], "e"
        ! jne l_254
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 252
            Exit FUNCTION
        l_254:
        ! cmp BYTE PTR [eax+3], "n"
        ! jne l_255
          ! cmp BYTE PTR [eax+4], "e"
          ! jne l_256
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 253
              Exit FUNCTION
          l_256:
          ! cmp BYTE PTR [eax+4], "z"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 254
              Exit FUNCTION
        l_255:
        ! cmp BYTE PTR [eax+3], "z"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 255
            Exit FUNCTION
      l_252:
      ! cmp BYTE PTR [eax+2], "t"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_257
          FUNCTION = 256
          Exit FUNCTION
        l_257:
        ! cmp BYTE PTR [eax+3], "f"
        ! jne l_258
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 257
            Exit FUNCTION
        l_258:
        ! cmp BYTE PTR [eax+3], "n"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 258
            Exit FUNCTION
    l_251:
    ! cmp BYTE PTR [eax+1], "o"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "l"
      ! jne l_259
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 259
          Exit FUNCTION
      l_259:
      ! cmp BYTE PTR [eax+2], "r"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 260
          Exit FUNCTION
  l_248:
  ! cmp BYTE PTR [eax+0], "s"
  ! jne l_260
    ! cmp BYTE PTR [eax+1], "a"
    ! jne l_261
      ! cmp BYTE PTR [eax+2], "h"
      ! jne l_262
        ! cmp BYTE PTR [eax+3], "f"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 261
            Exit FUNCTION
      l_262:
      ! cmp BYTE PTR [eax+2], "l"
      ! jne l_263
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 262
          Exit FUNCTION
      l_263:
      ! cmp BYTE PTR [eax+2], "r"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 263
          Exit FUNCTION
    l_261:
    ! cmp BYTE PTR [eax+1], "b"
    ! jne l_264
      ! cmp BYTE PTR [eax+2], "b"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 264
          Exit FUNCTION
    l_264:
    ! cmp BYTE PTR [eax+1], "c"
    ! jne l_265
      ! cmp BYTE PTR [eax+2], "a"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "s"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "b"
          ! jne l_266
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 265
              Exit FUNCTION
          l_266:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_267
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 266
              Exit FUNCTION
          l_267:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 267
              Exit FUNCTION
    l_265:
    ! cmp BYTE PTR [eax+1], "e"
    ! jne l_268
      ! cmp BYTE PTR [eax+2], "t"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "a"
        ! jne l_269
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_270
            FUNCTION = 268
            Exit FUNCTION
          l_270:
          ! cmp BYTE PTR [eax+4], "e"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 269
              Exit FUNCTION
        l_269:
        ! cmp BYTE PTR [eax+3], "b"
        ! jne l_271
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_272
            FUNCTION = 270
            Exit FUNCTION
          l_272:
          ! cmp BYTE PTR [eax+4], "e"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 271
              Exit FUNCTION
        l_271:
        ! cmp BYTE PTR [eax+3], "c"
        ! jne l_273
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 272
            Exit FUNCTION
        l_273:
        ! cmp BYTE PTR [eax+3], "e"
        ! jne l_274
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 273
            Exit FUNCTION
        l_274:
        ! cmp BYTE PTR [eax+3], "g"
        ! jne l_275
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_276
            FUNCTION = 274
            Exit FUNCTION
          l_276:
          ! cmp BYTE PTR [eax+4], "e"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 275
              Exit FUNCTION
        l_275:
        ! cmp BYTE PTR [eax+3], "l"
        ! jne l_277
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_278
            FUNCTION = 276
            Exit FUNCTION
          l_278:
          ! cmp BYTE PTR [eax+4], "e"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 277
              Exit FUNCTION
        l_277:
        ! cmp BYTE PTR [eax+3], "n"
        ! jne l_279
          ! cmp BYTE PTR [eax+4], "a"
          ! jne l_280
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_281
              FUNCTION = 278
              Exit FUNCTION
            l_281:
            ! cmp BYTE PTR [eax+5], "e"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 279
                Exit FUNCTION
          l_280:
          ! cmp BYTE PTR [eax+4], "b"
          ! jne l_282
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_283
              FUNCTION = 280
              Exit FUNCTION
            l_283:
            ! cmp BYTE PTR [eax+5], "e"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 281
                Exit FUNCTION
          l_282:
          ! cmp BYTE PTR [eax+4], "c"
          ! jne l_284
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 282
              Exit FUNCTION
          l_284:
          ! cmp BYTE PTR [eax+4], "e"
          ! jne l_285
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 283
              Exit FUNCTION
          l_285:
          ! cmp BYTE PTR [eax+4], "g"
          ! jne l_286
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_287
              FUNCTION = 284
              Exit FUNCTION
            l_287:
            ! cmp BYTE PTR [eax+5], "e"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 285
                Exit FUNCTION
          l_286:
          ! cmp BYTE PTR [eax+4], "l"
          ! jne l_288
            ! cmp BYTE PTR [eax+5], 0
            ! jne l_289
              FUNCTION = 286
              Exit FUNCTION
            l_289:
            ! cmp BYTE PTR [eax+5], "e"
            ! jne notfound
              ! cmp BYTE PTR [eax+6], 0
              ! jne notfound
                FUNCTION = 287
                Exit FUNCTION
          l_288:
          ! cmp BYTE PTR [eax+4], "o"
          ! jne l_290
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 288
              Exit FUNCTION
          l_290:
          ! cmp BYTE PTR [eax+4], "p"
          ! jne l_291
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 289
              Exit FUNCTION
          l_291:
          ! cmp BYTE PTR [eax+4], "s"
          ! jne l_292
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 290
              Exit FUNCTION
          l_292:
          ! cmp BYTE PTR [eax+4], "z"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 291
              Exit FUNCTION
        l_279:
        ! cmp BYTE PTR [eax+3], "o"
        ! jne l_293
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 292
            Exit FUNCTION
        l_293:
        ! cmp BYTE PTR [eax+3], "p"
        ! jne l_294
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_295
            FUNCTION = 293
            Exit FUNCTION
          l_295:
          ! cmp BYTE PTR [eax+4], "e"
          ! jne l_296
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 294
              Exit FUNCTION
          l_296:
          ! cmp BYTE PTR [eax+4], "o"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 295
              Exit FUNCTION
        l_294:
        ! cmp BYTE PTR [eax+3], "s"
        ! jne l_297
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 296
            Exit FUNCTION
        l_297:
        ! cmp BYTE PTR [eax+3], "z"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 297
            Exit FUNCTION
    l_268:
    ! cmp BYTE PTR [eax+1], "h"
    ! jne l_298
      ! cmp BYTE PTR [eax+2], "l"
      ! jne l_299
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_300
          FUNCTION = 298
          Exit FUNCTION
        l_300:
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 299
            Exit FUNCTION
      l_299:
      ! cmp BYTE PTR [eax+2], "r"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne l_301
          FUNCTION = 300
          Exit FUNCTION
        l_301:
        ! cmp BYTE PTR [eax+3], "d"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 301
            Exit FUNCTION
    l_298:
    ! cmp BYTE PTR [eax+1], "t"
    ! jne l_302
      ! cmp BYTE PTR [eax+2], "c"
      ! jne l_303
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 302
          Exit FUNCTION
      l_303:
      ! cmp BYTE PTR [eax+2], "d"
      ! jne l_304
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 303
          Exit FUNCTION
      l_304:
      ! cmp BYTE PTR [eax+2], "i"
      ! jne l_305
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 304
          Exit FUNCTION
      l_305:
      ! cmp BYTE PTR [eax+2], "o"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "s"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], "b"
          ! jne l_306
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 305
              Exit FUNCTION
          l_306:
          ! cmp BYTE PTR [eax+4], "d"
          ! jne l_307
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 306
              Exit FUNCTION
          l_307:
          ! cmp BYTE PTR [eax+4], "w"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 307
              Exit FUNCTION
    l_302:
    ! cmp BYTE PTR [eax+1], "u"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "b"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 308
          Exit FUNCTION
  l_260:
  ! cmp BYTE PTR [eax+0], "t"
  ! jne l_308
    ! cmp BYTE PTR [eax+1], "e"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "s"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "t"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 309
            Exit FUNCTION
  l_308:
  ! cmp BYTE PTR [eax+0], "v"
  ! jne l_309
    ! cmp BYTE PTR [eax+1], "e"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "r"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "r"
        ! jne l_310
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 310
            Exit FUNCTION
        l_310:
        ! cmp BYTE PTR [eax+3], "w"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 311
            Exit FUNCTION
  l_309:
  ! cmp BYTE PTR [eax+0], "w"
  ! jne l_311
    ! cmp BYTE PTR [eax+1], "a"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "i"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "t"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 312
            Exit FUNCTION
  l_311:
  ! cmp BYTE PTR [eax+0], "x"
  ! jne notfound
    ! cmp BYTE PTR [eax+1], "c"
    ! jne l_312
      ! cmp BYTE PTR [eax+2], "h"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "g"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne notfound
            FUNCTION = 313
            Exit FUNCTION
    l_312:
    ! cmp BYTE PTR [eax+1], "l"
    ! jne l_313
      ! cmp BYTE PTR [eax+2], "a"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], "t"
        ! jne notfound
          ! cmp BYTE PTR [eax+4], 0
          ! jne l_314
            FUNCTION = 314
            Exit FUNCTION
          l_314:
          ! cmp BYTE PTR [eax+4], "b"
          ! jne notfound
            ! cmp BYTE PTR [eax+5], 0
            ! jne notfound
              FUNCTION = 315
              Exit FUNCTION
    l_313:
    ! cmp BYTE PTR [eax+1], "o"
    ! jne notfound
      ! cmp BYTE PTR [eax+2], "r"
      ! jne notfound
        ! cmp BYTE PTR [eax+3], 0
        ! jne notfound
          FUNCTION = 316
          Exit FUNCTION

  notfound:
    ! xor eax, eax
    ! mov FUNCTION, eax

END FUNCTION

' 
